- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Utils::Lang::FactorySupport< t_Factory, t_Support > Class Template Reference

`#include <FactorySupport.h>`

List of all members.

## Public Member Functions
| FactorySupport (const char *className)
| FactorySupport ()
| FactorySupport (const char *classNames[])
| ~FactorySupport ()
## Protected Attributes
bool | m_atLeastOneSupported

## Detailed Description

### template<typename t_Factory, class t_Support>
class Mers::Utils::Lang::FactorySupport< t_Factory, t_Support >

This support class for the factory class can be used to add automatic support for the construction of classes at run-time and the removal of support when the program ends.

Definition at line 32 of file FactorySupport.h.

## Constructor & Destructor Documentation

template<typename t_Factory, class t_Support>

Mers::Utils::Lang::FactorySupport< t_Factory, t_Support >::FactorySupport | ( | const char * | className | ) | `[inline]`

Adds support for t_Support to the t_Base factory under the name className.

Definition at line 39 of file FactorySupport.h.

template<typename t_Factory, class t_Support>

Mers::Utils::Lang::FactorySupport< t_Factory, t_Support >::FactorySupport | ( |  | ) | `[inline]`

Adds support for t_Support to the t_Base factory under the name t_Support::getClassTypeName(). This requires that the class implement this function.

Definition at line 49 of file FactorySupport.h.

template<typename t_Factory, class t_Support>

Mers::Utils::Lang::FactorySupport< t_Factory, t_Support >::FactorySupport | ( | const char * | classNames[] | ) | `[inline]`

Adds support for t_Support to the t_Base factory under the names classNames. This list is NULL terminated.

Definition at line 59 of file FactorySupport.h.

References Mers::Utils::Lang::FactorySupport< t_Factory, t_Support >::m_atLeastOneSupported.

template<typename t_Factory, class t_Support>

Mers::Utils::Lang::FactorySupport< t_Factory, t_Support >::~FactorySupport | ( |  | ) | `[inline]`

Unregister our set of names.

Definition at line 75 of file FactorySupport.h.

References Mers::Utils::Lang::FactorySupport< t_Factory, t_Support >::m_atLeastOneSupported.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Lang/FactorySupport.h